> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytring.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Payout Accounts Balance

> This APi get you your account balance of each pg., or a specific one.

This API retrieves the account balance for all payment gateways or a specific one.

### Request Body

```json theme={null}
{
  "pg": "string" // Optional: Specify the payment gateway to fetch balance for
}
```

### Responses

#### 200 OK

```json theme={null}
{
  "status": true,
  "balances": [
    {
      "pg": "string",
      "balance": 1000.00
    }
  ]
}
```

#### 400 Bad Request

```json theme={null}
{
  "status": false,
  "error": {
    "message": "Invalid request",
    "code": 400
  }
}
```


## OpenAPI

````yaml POST /api/v2/payout/balance
openapi: 3.1.0
info:
  title: Orchestration
  version: '1'
servers:
  - url: https://api.paytring.com
security:
  - sec0: []
paths:
  /api/v2/payout/balance:
    post:
      summary: Check Accounts Balance
      description: This APi get you your account balance of each pg., or a specific one.
      operationId: check-payout-accounts-balance
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                pg:
                  type: string
                  description: >-
                    if not provided response will he data of all PG accounts
                    added to paytring.
                  default: decentro
                account_number:
                  type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |2-
                     {
                        "status":"true",
                        "account":[
                            "decentro":[
                                "account_no" : "917027445661"
                                "balance" : "99cr"
                            ]
                        ]
                    }
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````